crashpad::ClientToServerMessage Struct Reference

The message passed from client to server. More...

`#include "util/win/registration_protocol_win.h"`

## Public Types

enum | Type : uint32_t
enum | Type : uint32_t
| Indicates which field of the union is in use. More...

## Public Member Functions

| ClientToServerMessage ()
| Constructs this object.

## Public Attributes

int32_t | version
| Indicates what message version is being used.
enum crashpad::ClientToServerMessage::Type | type
union {
ClientInformation client_info
| Valid for type == kCrashDumpRequest.
}; |
union {
RegistrationRequest registration
ShutdownRequest shutdown
}; |

## Static Public Attributes

static constexpr int32_t | kVersion = 1

## Detailed Description

The message passed from client to server.

The message passed from client to server by SendToCrashHandlerServer().

## Member Enumeration Documentation

## Type [1/2]

enum crashpad::ClientToServerMessage::Type : uint32_t

Enumerator
kCrashDumpRequest | Used to request a crash dump for the sending client.
kRegister | For RegistrationRequest.
kShutdown | For ShutdownRequest.
kPing | An empty message sent by the initial client in asynchronous mode. No data is required, this just confirms that the server is ready to accept client registrations.

## Type [2/2]

enum crashpad::ClientToServerMessage::Type : uint32_t

Indicates which field of the union is in use.

Enumerator
kCrashDumpRequest | Used to request a crash dump for the sending client.
kRegister | For RegistrationRequest.
kShutdown | For ShutdownRequest.
kPing | An empty message sent by the initial client in asynchronous mode. No data is required, this just confirms that the server is ready to accept client registrations.

The documentation for this struct was generated from the following files:

- util/linux/exception_handler_protocol.h
- util/win/registration_protocol_win.h
- util/linux/exception_handler_protocol.cc